libdap::D4Maps Class Reference

`#include <D4Maps.h>`

## Public Types

typedef vector< D4Map * >::const_iterator | D4MapsCIter
typedef vector< D4Map * >::iterator | D4MapsIter

## Public Member Functions

void | add_map (D4Map *map)
| D4Maps (Array *parent)
| D4Maps (const D4Maps &maps)
bool | empty () const
D4Map * | get_map (int i)
D4MapsIter | map_begin ()
D4MapsIter | map_end ()
D4Maps & | operator= (const D4Maps &rhs)
virtual void | print_dap4 (XMLWriter &xml)
void | remove_map (D4Map *map)
int | size () const

## Detailed Description

The D4Maps object holds pointers to all of the Maps used by a given Array.

Definition at line 84 of file D4Maps.h.

## Member Function Documentation

## add_map()

void libdap::D4Maps::add_map | ( | D4Map * | map | ) |

inline

Add a map. This does not test for duplicate names or Array pointers; It assumes that the caller has done that!

Definition at line 115 of file D4Maps.h.

The documentation for this class was generated from the following files:

- D4Maps.h
- D4Maps.cc